## fccexam 1.0.5

=== Makefile ===
build:	
	echo "null build"

clean:	
	echo "null clean"

dist:	
	rm -f fccexam.orig.tar.gz
	tar zcvf fccexam.orig.tar.gz --exclude debian *

install:	
	mkdir -p $(DESTDIR)/usr/share
	cp -r share $(DESTDIR)/usr/share/fccexam
	mkdir -p $(DESTDIR)/usr/bin
	ln -s ../share/fccexam/fccexam $(DESTDIR)/usr/bin/fccexam
	mkdir -p $(DESTDIR)/usr/share/man/man1
	gzip -c fccexam.1 > $(DESTDIR)/usr/share/man/man1/fccexam.1.gz
	mkdir -p $(DESTDIR)/usr/share/applications
	cp fccexam.desktop $(DESTDIR)/usr/share/applications/fccexam.desktop
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	cp fccexam.png $(DESTDIR)/usr/share/pixmaps/fccexam.png

## fccexam 1.0.3

=== debian/changelog ===
fccexam (1.0.3-1) unstable; urgency=low

  * allow individual element number as arg to fccexam
  * corrected formatting of some questions esp. element 7R
  * added missing figures for elements 3 and 8

 -- John T. Nogatch <jnogatch@yahoo.com>  Sat, 17 Mar 2012 15:31:49 -0700

fccexam (1.0.2-1) unstable; urgency=low

  * cleaned linitian errors
  * removed .doc & .pdf downloaded from fcc.gov
  * revised share/README
  * obtained bug #

 -- John T. Nogatch <jnogatch@yahoo.com>  Wed, 14 Mar 2012 12:21:28 -0700

fccexam (1.0.1-1) unstable; urgency=low

  * change element 9 figures from pbm to png
  * element 7 & 7R answers need to be uppercase
  * question number removed from element 7 & 7R question text

 -- John T. Nogatch <jnogatch@yahoo.com>  Thu, 08 Mar 2012 20:23:28 -0800

fccexam (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #663887)

 -- John T. Nogatch <jnogatch@yahoo.com>  Wed, 07 Mar 2012 18:23:10 -0800

=== debian/control ===
Source: fccexam
Section: hamradio
Priority: extra
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: John T. Nogatch <jnogatch@yahoo.com>, Kamal Mostafa <kamal@whence.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3

Package: fccexam
Architecture: all
Depends: ${misc:Depends}, eog
Description: Study tool for USA FCC commercial radio license exams.
 fccexam is an interactive study guide for USA FCC commercial radio exams. 
 question pool choices: 
     T1 First Class Radiotelegraph: elements 1, 5, 6. 
     T2 Second Class Radiotelegraph: elements 1, 5, 6. 
     T3 Third Class Radiotelegraph: elements 1, 5. 
     GROL General Radiotelephone Operator License: elements 1, 3. 
     GROL+ General Radiotelephone Operator License + Radar: elements 1, 3, 8. 
     MROP Marine Radio Operator Permit: element 1. 
     GMDSS Global Maritime Distress Safety System Radio Operator: elements 1, 7. 
     GMDSS+ GMDSS Radio Maintainer + Radar: elements 1, 7, 8, 9. 
     RGMDSS Restricted GMDSS Radio Operator: elements 1, 7R. 
 Questions are chosen randomly from the selected pool. 
 Incorrect answers cause the question to be asked again later. 
 Licenses are issued by the FCC, but exams are conducted by COLEM Examiners. 
 For more information about FCC commercial radio licensing:
      http://wireless.fcc.gov/commoperators/index.htm?job=home

## fccexam 1.0.4

=== debian/changelog ===
fccexam (1.0.4-1) unstable; urgency=low

  * use "echo -n" instead of "read -p" (Closes: 690635)
  * PNG_VIEWER & eog recommended, not required
  * show name of non-existent questions
  * updated email address & copyright date

 -- John T. Nogatch <jnogatch@gmail.com>  Thu, 28 Feb 2013 09:22:53 -0800

## fccexam 1.0.5

=== debian/changelog ===
fccexam (1.0.5-1) unstable; urgency=low

  * updated question pools elements 7 & 7R dated 5/17/2013
  * added "7-" & "7R-" prefixes to questions, to prevent figs launch

 -- John T. Nogatch <jnogatch@gmail.com>  Thu, 03 Oct 2013 12:46:46 -0700

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: hamradio
 Priority: extra
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: John T. Nogatch <jnogatch@yahoo.com>, Kamal Mostafa <kamal@whence.com>
+Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: fccexam
 Architecture: all
-Depends: ${misc:Depends}, eog
+Depends: ${misc:Depends}
+Recommends: eog | gwenview | gpicview | ristretto
 Description: Study tool for USA FCC commercial radio license exams.
  fccexam is an interactive study guide for USA FCC commercial radio exams. 
  question pool choices:

## fccexam 1.0.7

=== debian/changelog ===
fccexam (1.0.7-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:05:08 +0100

fccexam (1.0.7-1) unstable; urgency=medium

  * remove newline from echo statement (Closes: 772252)

 -- John T. Nogatch <jnogatch@gmail.com>  Sat, 23 May 2015 16:31:46 -0700

fccexam (1.0.6-3) unstable; urgency=medium

  * HTML_VIEWER=xdg-open replaces PNG_VIEWER
  * figures combined into per-element html
  * element 9 now from .doc file & no longer has any figures
  * all re-extracted from .doc files & non-ASCII characters removed

 -- John T. Nogatch <jnogatch@gmail.com>  Fri, 22 May 2015 12:34:57 -0700

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 Package: fccexam
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: eog | gwenview | gpicview | ristretto
+Recommends: xdg-utils
 Description: Study tool for USA FCC commercial radio license exams.
  fccexam is an interactive study guide for USA FCC commercial radio exams. 
  question pool choices:

## fccexam 1.0.8

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 	echo "null clean"
 
 dist:	
-	rm -f fccexam.orig.tar.gz
-	tar zcvf fccexam.orig.tar.gz --exclude debian *
+	rm -f ../fccexam.orig.tar.gz
+	tar zcvf ../fccexam.orig.tar.gz --exclude debian *
 
 install:	
 	mkdir -p $(DESTDIR)/usr/share

=== debian/changelog ===
fccexam (1.0.8-1) unstable; urgency=medium

  [ John T. Nogatch ]
  * updated question pools current 2024-05-20
    Closes: #1071117
  * updated stale URLs
  * modified script fccexam & man page

  [ Andreas Tille ]
  * Maintain package on Salsa
  * d/control: Synopsis is no sentence
  * Seems it makes sense to use PPA as Homepage
  * d/rules: Its not a sample
  * d/docs: Delete empty file
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Wed, 06 Aug 2025 09:36:47 +0200

=== debian/control ===
Source: fccexam
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: John T. Nogatch <jnogatch@gmail.com>,
           Kamal Mostafa <kamal@whence.com>
Section: hamradio
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/fccexam
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/fccexam.git
Homepage: https://launchpad.net/~jnogatch/+archive/ubuntu/fccexam

Package: fccexam
Architecture: all
Depends: ${misc:Depends}
Recommends: xdg-utils
Description: Study tool for USA FCC commercial radio license exams
 fccexam is an interactive study guide for USA FCC commercial radio exams.
 question pool choices:
 .
  * T1 First Class Radiotelegraph: elements 1, 5, 6.
  * T2 Second Class Radiotelegraph: elements 1, 5, 6.
  * T3 Third Class Radiotelegraph: elements 1, 5.
  * GROL General Radiotelephone Operator License: elements 1, 3.
  * GROL+ General Radiotelephone Operator License + Radar: elements 1, 3, 8.
  * MROP Marine Radio Operator Permit: element 1.
  * GMDSS Global Maritime Distress Safety System Radio Operator: elements 1, 7.
  * GMDSS+ GMDSS Radio Maintainer + Radar: elements 1, 7, 8, 9.
  * RGMDSS Restricted GMDSS Radio Operator: elements 1, 7R.
 .
 Questions are chosen randomly from the selected pool.
 Incorrect answers cause the question to be asked again later.
 Licenses are issued by the FCC, but exams are conducted by COLEM Examiners.
 For more information about FCC commercial radio licensing:
      http://wireless.fcc.gov/commoperators/index.htm?job=home
